%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		yumex
#Epoch:		0
Version:	3.0.3
Release:	1
License:	GNU/GPLv2+	
URL:		http://www.yum-extender.org
Group:		System/Configuration/Packaging
Summary:	GUI for the yum package manager
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		yumex-python26.patch
Patch1:		yumex-debrand.patch

# Requires:
Requires:	yum
Requires:       gnome-python-gconf
Requires:       python26-pexpect

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: python26-devel
BuildRequires: desktop-file-utils

%description
Yum Extender is a GUI for the yum package manager.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
export PYTHON=/usr/bin/python2.6
make 

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor CCux --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-CCux \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/pam.d/yumex-yum-backend
%{_sysconfdir}/security/console.apps/yumex-yum-backend
%{_sysconfdir}/yumex.conf
%{_sysconfdir}/yumex.profiles.conf
%{_bindir}/yumex
%{_bindir}/yumex-yum-backend
%{_libdir}/python2.6/site-packages/guihelpers/__init__.py
%{_libdir}/python2.6/site-packages/guihelpers/__init__.pyc
%{_libdir}/python2.6/site-packages/yumexbackend/__init__.py
%{_libdir}/python2.6/site-packages/yumexbackend/__init__.pyc
%{_libdir}/python2.6/site-packages/yumexbackend/yum_backend.py
%{_libdir}/python2.6/site-packages/yumexbackend/yum_backend.pyc
%{_libdir}/python2.6/site-packages/yumexbackend/yum_client.py
%{_libdir}/python2.6/site-packages/yumexbackend/yum_client.pyc
%{_libdir}/python2.6/site-packages/yumexbackend/yumMediaManager.py
%{_libdir}/python2.6/site-packages/yumexbackend/yumMediaManager.pyc
%{_libdir}/python2.6/site-packages/yumexbackend/yumMediaManagerUDisks.py
%{_libdir}/python2.6/site-packages/yumexbackend/yumMediaManagerUDisks.pyc
%{_libdir}/python2.6/site-packages/yumexbackend/yum_server.py
%{_libdir}/python2.6/site-packages/yumexbackend/yum_server.pyc
%{_libdir}/python2.6/site-packages/yumexbase/conf.py
%{_libdir}/python2.6/site-packages/yumexbase/conf.pyc
%{_libdir}/python2.6/site-packages/yumexbase/constants.py
%{_libdir}/python2.6/site-packages/yumexbase/constants.pyc
%{_libdir}/python2.6/site-packages/yumexbase/__init__.py
%{_libdir}/python2.6/site-packages/yumexbase/__init__.pyc
%{_libdir}/python2.6/site-packages/yumexbase/network.py
%{_libdir}/python2.6/site-packages/yumexbase/network.pyc
%{_libdir}/python2.6/site-packages/yumexgui/dialogs.py
%{_libdir}/python2.6/site-packages/yumexgui/dialogs.pyc
%{_libdir}/python2.6/site-packages/yumexgui/gui.py
%{_libdir}/python2.6/site-packages/yumexgui/gui.pyc
%{_libdir}/python2.6/site-packages/yumexgui/__init__.py
%{_libdir}/python2.6/site-packages/yumexgui/__init__.pyc
%{_libdir}/python2.6/site-packages/yumexgui/views.py
%{_libdir}/python2.6/site-packages/yumexgui/views.pyc
%{_applications}/CCux-yumex.desktop
%{_locale}/ar/LC_MESSAGES/yumex.mo
%{_locale}/da/LC_MESSAGES/yumex.mo
%{_locale}/de/LC_MESSAGES/yumex.mo
%{_locale}/es/LC_MESSAGES/yumex.mo
%{_locale}/fa/LC_MESSAGES/yumex.mo
%{_locale}/fr/LC_MESSAGES/yumex.mo
%{_locale}/hu/LC_MESSAGES/yumex.mo
%{_locale}/id/LC_MESSAGES/yumex.mo
%{_locale}/it_IT/LC_MESSAGES/yumex.mo
%{_locale}/it/LC_MESSAGES/yumex.mo
%{_locale}/ja/LC_MESSAGES/yumex.mo
%{_locale}/nl/LC_MESSAGES/yumex.mo
%{_locale}/pl/LC_MESSAGES/yumex.mo
%{_locale}/pt/LC_MESSAGES/yumex.mo
%{_locale}/ru/LC_MESSAGES/yumex.mo
%{_locale}/sr@latin/LC_MESSAGES/yumex.mo
%{_locale}/sr/LC_MESSAGES/yumex.mo
%{_locale}/uk/LC_MESSAGES/yumex.mo
%{_locale}/zh_CN/LC_MESSAGES/yumex.mo
%{_pixmaps}/yumex/button-history.png
%{_pixmaps}/yumex/button-output.png
%{_pixmaps}/yumex/button-packages.png
%{_pixmaps}/yumex/button-queue.png
%{_pixmaps}/yumex/button-repo.png
%{_pixmaps}/yumex/logo.png
%{_pixmaps}/yumex/spinner.gif
%{_pixmaps}/yumex/spinner-small.gif
%{_pixmaps}/yumex/yumex-about.png
%{_pixmaps}/yumex/yumex-icon.png
%{_datadir}/yumex/backend-launcher.py
%{_datadir}/yumex/backend-launcher.pyc
%{_datadir}/yumex/COPYING
%{_datadir}/yumex/yum_childtask.py
%{_datadir}/yumex/yum_childtask.pyc
%{_datadir}/yumex/yumex.glade
%{_datadir}/yumex/yumex.py
%{_datadir}/yumex/yumex.pyc
%{_datadir}/yumex/yumex-yum-backend

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sat Jun 18 2011 Karsten Brockmann <arcam@ccux-linux.de> 3.0.3-1
- version update
* Thu Jun 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 3.0.2-1
- initial CCux package release
